Introduced the GET /userlist endpoint, which lets you fetch a list of users.
Added missing pagination query parameters for the GET /teams endpoint:
offsetpage_size
- Updated experimental Asset and Folder Permission Routes and Request payload schema
- Removed
{accessor_type}from the following routes:- POST
/assets/{asset_id}/permissions/{accessor_type}updated to POST/assets/{asset_id}/permissions. - PATCH
/assets/{asset_id}/permissions/{accessor_type}/{accessor_id}updated to PATCH/assets/{asset_id}/permissions/{accessor_id}. - DELETE
/asstes/{asset_id}/permissions/{accessor_type}/{accessor_id}updated to DELETE/asstes/{asset_id}/permissions/{accessor_id}. - POST
/folders/{id}/permissions/{accessor_type}updated to POST/folders/{id}/permissions. - PATCH
/folders/{folder_id}/permissions/{accessor_type}/{accessor_id}updated to PATCH/folders/{folder_id}/permissions/{accessor_id}.
- POST
- Updated the request payload schema of POST
/assets/{asset_id}/permissionsand POST/folders/{id}/permissions.
- Removed
- Added DELETE
/folders/{id}/permissions/{accessor_id}to support removing the accessor's access from a folder. - Introduced the GET
v3/teamsendpoint to list available teams.
Updated the following response fields for the GET v3/events/{id} endpoint:
reference_numberis nowreference_idis_achievedis nowis_archived
Introduced the POST v3/campaigns endpoint, which lets you create a campaign.
Introduced the GET v3/events/{id} endpoint, which provides details about the specific event.
- Added the option to specify a
draft_idquery parameter value of latest to get the most recent draft of the asset within the task for theGET /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-complianceendpoint. - Added the option to specify a
draft_idquery parameter value of latest to put the most recent draft of the asset within the task for thePUT /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-complianceendpoint.
- Added a
related_resourceslink in theGET v3/work-requestsendpoint response. - Added a
related_resourceslink in thePOST v3/work-requestsendpoint response. - Added a
related_resourceslink in theGET /work-requests/{id}/related-resourcesendpoint response.
Introduced the GET /work-requests/{id}/related-resources endpoint, letting you get a list of work request-related resources.
- Added the
campaign_idquery param to theGET /assetsendpoint, enabling the ability to filter assets by acampaign_id. - Introduced the
DELETE /asstes/{asset_id}/permissions/{accessor_type}/{accessor_id}endpoint, allowing the removal of access from an asset.
